{
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.terminal.kitty;
in {
  options = {
    terminal.kitty.enable =
      mkEnableOption "enable kitty terminal";
  };
  config = mkIf cfg.enable {
    programs.kitty = {
      enable = true;
      settings = {
        tab_bar_edge = "bottom";
        tab_bar_align = "left";
        tab_bar_style = "fade";
        # tab_separator = " ";
      };
    };
  };
}
