{config, ...}: {
  imports = [
    ./gnome-keyring.nix
    ./greeter.nix
    ./pam-rtprio.nix
    ./pipewire.nix
  ];
  fonts.fontDir.enable = true;
  security = {
    pam = {
      services.greetd.enableGnomeKeyring = config.services.greetd.enable && config.services.gnome.gnome-keyring.enable;
    };
  };
  services.udisks2.enable = true;
  programs.dconf.enable = true;
}
